"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestIdHandling = void 0;
const crypto_1 = require("crypto");
const logger_js_1 = require("../logger.js");
function requestIdHandling(app) {
    app.use(requestIdMiddleware);
}
exports.requestIdHandling = requestIdHandling;
const requestIdMiddleware = (_req, _res, next) => {
    logger_js_1.asyncLocalStorage.run({ requestID: (0, crypto_1.randomUUID)() }, () => {
        next();
    });
};
//# sourceMappingURL=requestIdHandling.js.map