"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logger = exports.asyncLocalStorage = void 0;
const async_hooks_1 = require("async_hooks");
//import {TransformableInfo} from 'logform';
const winston_1 = __importStar(require("winston"));
exports.asyncLocalStorage = new async_hooks_1.AsyncLocalStorage();
/**
 * The mapping of the possible log level names to their corresponding level
 */
const logLevels = {
    fatal: 0,
    error: 1,
    warn: 2,
    info: 3,
    debug: 4,
    trace: 5,
};
const addRequestID = winston_1.default.format(info => {
    const requestID = exports.asyncLocalStorage.getStore()?.requestID;
    if (requestID)
        info.requestID = requestID;
    return info;
});
/*const sortProperties = winston.format(info => {
  const levelSymbol = Symbol.for('level');
  const messageSymbol = Symbol.for('message');
  const sortedInfo: TransformableInfo = {
    level: info.level,
    requestID: info.requestID,
    message: info.message,
    data: info.data,
    meta: info.meta,
  };

  const furtherInfo: {[k: string | symbol]: unknown} = {...info};
  delete furtherInfo.level;
  delete furtherInfo.requestID;
  delete furtherInfo.message;
  delete furtherInfo.data;
  delete furtherInfo.meta;
  delete furtherInfo[levelSymbol];
  delete furtherInfo[messageSymbol];

  sortedInfo[messageSymbol] = JSON.stringify({...sortedInfo, ...furtherInfo});
  sortedInfo[levelSymbol] = info.level;

  return {
    ...sortedInfo,
    ...furtherInfo,
  };
});*/
exports.logger = (0, winston_1.createLogger)({
    format: winston_1.default.format.combine(addRequestID(), winston_1.format.json()),
    exitOnError: false,
    levels: logLevels,
    transports: [new winston_1.transports.Console({ level: 'debug' })],
});
//# sourceMappingURL=logger.js.map