export declare const logLevelMapping: {
    fatal: number;
    error: number;
    warn: number;
    info: number;
    debug: number;
    trace: number;
};
export type LogLevel = keyof typeof logLevelMapping;
export type LoggingLokiTransportConfig = {
    transport: 'loki';
    host: string;
};
export type LoggingFileTransportConfig = {
    transport: 'file';
    filename: string;
};
export type LoggingStdoutTransportConfig = {
    transport: 'stdout' | 'stderr';
};
export type LoggingTransortConfig = LoggingLokiTransportConfig | LoggingFileTransportConfig | LoggingStdoutTransportConfig;
export type LoggingConfig = {
    LOGGING?: string | LogLevel;
    LOGGING_TRANSPORT?: string | LoggingTransortConfig | LoggingTransortConfig[];
};
//# sourceMappingURL=config.d.ts.map